Subject: RE: Proposed charter and milestone revision for CAT-WG

From: "Linn, John" <[email-masked]>
Date: Thu, 20 May 1999 11:26:42 -0400

Thanks, Denis.  Absent further discussion on the proposed charter and
milestones, I'll plan to forward them for IESG consideration tomorrow
(Friday) afternoon (US ET).  Within this proposed charter, I believe the CAT
WG currently has three main areas of questions needing resolution:

- whether to pursue standardization of authorization-related interfaces and,
if so, of what form

- whether to pursue standardization of low-infrastructure mechanism
definitions and, if so, of what form

- reconciliation and/or clarification among GSS-Java proposals

I hope that the group can and will make significant progress on each of
these on the list in advance of the Oslo meeting.

--jl

> -----Original Message-----
> From: Denis Pinkas [mailto:[email-masked]]
> Sent: Wednesday, May 19, 1999 11:42 AM
> To: Linn, John
> Cc: 'CAT-WG List'
> Subject: Re: Proposed charter and milestone revision for CAT-WG
> 
> 
> John,
> 
> I think that the terms you drafted are correct, i.e. 
> "Authorization interfaces
> are currently being evaluated as a related area for follow-on 
> work, with the
> level of achievable portability an important consideration.". 
> You have for the
> moment not included any deliverable. This is wise.
> 
> I am aware of three (at the moment) uncoordinated efforts to specify
> authorization APIs. I hope that we will be able to join these 
> efforts together
> in a common draft. I have aleady attempted some steps in that 
> direction, without
> much success yet. :-( However I do not desesperate yet. :-)
> 
> The Oslo meeting and/or side discussions will hopefully help 
> to make some
> progress in this area.
> 
> Denis
> 
> 
> > Thanks to Frank and Sam for their comments re 
> authorization.  I'd like to
> > encourage others to comment on this topic, and more broadly 
> also to review
> > and comment on the somewhat revised draft which I'm 
> attaching here for
> > proposed charter and milestones.  From a procedural 
> perspective, I'd like to
> > get this to the IESG shortly, accurately reflecting group 
> priorities and
> > concerns.
> >
> > Description of Working Group:
> >
> > The goal of the Common Authentication Technology (CAT) 
> Working Group is to
> > provide distributed security services (which have included 
> authentication,
> > integrity, and confidentiality, and may broaden to include 
> authorization) to
> > a variety of protocol callers in a manner which insulates 
> those callers from
> > the specifics of underlying security mechanisms.
> >
> > By separating security implementation tasks from the tasks 
> of integrating
> > security data elements into caller protocols, those tasks 
> can be partitioned
> > and performed separately by implementors with different 
> areas of expertise.
> > This provides leverage for the IETF community's 
> security-oriented resources,
> > and allows protocol implementors to focus on the functions 
> their protocols
> > are designed to provide rather than on characteristics of security
> > mechanisms. CAT seeks to encourage uniformity and 
> modularity in security
> > approaches, supporting the use of common techniques and 
> accommodating
> > evolution of underlying technologies.
> >
> > In support of these goals, the working group pursues 
> several interrelated
> > tasks. We have defined a common service interface (GSS-API) 
> allowing callers
> > to invoke security services in association-oriented 
> environments, with an
> > associated token format identifying the security mechanism 
> being employed.
> > Existing documents provide C language bindings for GSS-API; 
> currently
> > ongoing work is defining bindings for Java.  Authorization 
> interfaces are
> > currently being evaluated as a related area for follow-on 
> work, with the
> > level of achievable portability an important consideration. 
> The CAT Working
> > Group also defines supporting mechanisms to provide 
> security services;
> > current activity includes specification of 
> "low-infrastructure" mechanisms
> > to support ease of deployment and use.
> >
> > Goals and Milestones:
> >
> > Done: Submit GSS-V2, Update 1 base specification and C 
> bindings to IESG for
> > consideration as new Proposed Standards to obsolete RFCs 
> 1509 and 2078.
> >
> > Jul 99: Determine direction and intent re progressing authorization
> > interfaces.
> >
> > Jul 99: Determine direction and intent re progressing 
> low-infrastructure
> > mechanism definitions.
> >
> > Aug 99: Submit GSS-V2 Java bindings specification to IESG 
> for consideration
> > as Proposed Standard.
> >
> > Aug 99: Submit Kerberos Public-Key Initial Authentication 
> (PKINIT) document
> > to IESG for consideration as Proposed Standard.
> >
> > Aug 99: Submit revision to Kerberos protocol specification 
> to IESG as new
> > Proposed Standard to succeed RFC-1510.
> >
> > Sep 99: Submit GSS-V2 Java service provider interface 
> document to IESG for
> > consideration as Proposed Standard.
> >
> > Nov 99: Review status of ongoing active projects.
> >
> > --jl
> > 
> ==============================================================
> ============
> > This message was posted through the Stanford campus mailing list
> > server.  If you wish to unsubscribe from this mailing list, send the
> > message body of "unsubscribe ietf-cat-wg" to 
> [email-masked]
> 
==========================================================================
This message was posted through the Stanford campus mailing list
server.  If you wish to unsubscribe from this mailing list, send the
message body of "unsubscribe ietf-cat-wg" to [email-masked]